libzypp 17.37.10

zypp::MediaSetAccess::ReleaseFileGuard Struct Reference

`#include <zypp/MediaSetAccess.h>`

## Public Member Functions
| NON_COPYABLE (ReleaseFileGuard)
| NON_MOVABLE (ReleaseFileGuard)
| ReleaseFileGuard (MediaSetAccess &media_r, const OnMediaLocation &loc_r)
| ~ReleaseFileGuard ()

## Private Attributes
MediaSetAccess & | _media
const OnMediaLocation & | _loc

## Detailed Description

Definition at line 279 of file MediaSetAccess.h.

## Constructor & Destructor Documentation

## ◆ ReleaseFileGuard()

zypp::MediaSetAccess::ReleaseFileGuard::ReleaseFileGuard | ( | MediaSetAccess & | media_r,
|  | const OnMediaLocation & | loc_r )
| inline

Definition at line 283 of file MediaSetAccess.h.

## ◆ ~ReleaseFileGuard()

zypp::MediaSetAccess::ReleaseFileGuard::~ReleaseFileGuard | ( |  | ) |
| inline

Definition at line 287 of file MediaSetAccess.h.

## Member Function Documentation

## ◆ NON_COPYABLE()

zypp::MediaSetAccess::ReleaseFileGuard::NON_COPYABLE | ( | ReleaseFileGuard |  | ) |

## ◆ NON_MOVABLE()

zypp::MediaSetAccess::ReleaseFileGuard::NON_MOVABLE | ( | ReleaseFileGuard |  | ) |

## Member Data Documentation

## ◆ _media

MediaSetAccess& zypp::MediaSetAccess::ReleaseFileGuard::_media
| private

Definition at line 290 of file MediaSetAccess.h.

## ◆ _loc

const OnMediaLocation& zypp::MediaSetAccess::ReleaseFileGuard::_loc
| private

Definition at line 291 of file MediaSetAccess.h.

The documentation for this struct was generated from the following file:

- zypp/MediaSetAccess.h